<table class='tradeInfo hide'>
  <thead>
    <tr>
      <th class='w-80px text-left serialNumber'>
        <?php if($canBatchEdit):?>
        <div class='checkbox-primary check-all' title='<?php echo $this->lang->selectAll;?>'><label></label></div>
        <?php endif;?>
        <?php commonModel::printOrderLink('serialNumber', $orderBy, $vars, $lang->trade->serialNumber);?>
      </th>
    </tr>
  </thead>
  <tbody>
    <?php foreach($trades as $trade):?> 
    <tr>
      <td class='text-left serialNumber'>
        <?php if($canBatchEdit):?>
        <div class='checkbox-primary'><input type='checkbox' name='tradeIDList[]' autocomplete='off' value="<?php echo $trade->id;?>" id="tradeIDList<?php echo $trade->id;?>">
          <label for="tradeIDList<?php echo $trade->id;?>"></label>
        </div>
        <?php endif;?>
        <?php if($trade->serialNumber > 0) echo $trade->serialNumber;?>
      </td>
    </tr>
    <?php if(!empty($trade->children)):?>
    <?php foreach($trade->children as $key => $child):?>
    <tr>
      <td class='text-left serialNumber'>
        <?php if($canBatchEdit):?>
        <div class='checkbox-primary'><input type='checkbox' name='tradeIDList[]' autocomplete='off' value="<?php echo $child->id;?>" id="tradeIDList<?php echo $child->id;?>">
          <label for="tradeIDList<?php echo $child->id;?>"></label>
        </div>
        <?php endif;?>
        <?php if($child->serialNumber > 0) echo $child->serialNumber;?>
      </td>
    </tr>
    <?php endforeach;?>
    <?php endif;?>
    <?php endforeach;?>
  </tbody>
</table>

<script>
$('#tradeList').find('.checkbox-primary').remove();
$('#tradeList thead tr th:first').removeClass().addClass('w-80px text-left');
$('#tradeList thead tr').prepend($('.tradeInfo thead tr:first').html());
$('#tradeList tbody tr').each(function(index)
{
    $(this).prepend($('.tradeInfo tbody tr:nth(' + index + ')').html());
})
</script>
