<?php
include '../../control.php';
class myMisc extends misc
{
    /**
     * create qrcode 
     * 
     * @param  string $content 
     * @param  string $type 
     * @access public
     * @return void
     */
    public function qrcode($content, $type = '')
    {
        $RGB      = array(0, 0, 0);
        $filePath = false;
        if($type == 'qrLogin')
        {
            $server     = commonModel::getSysURL() . $this->config->webRoot;
            $loginToken = $this->loadModel('user')->createLoginToken($this->app->user->account, $this->app->user->join, $this->app->user->token);
            $content    = json_encode(array('app' => 'ZDOO', 'type' => 'login', 'data' => ['token' => $loginToken, 'server' => $server]));
            $RGB        = array('236', '85', '85');
            $savePath   = $this->app->getWwwRoot() . "data/qrcode/";
            if(!file_exists($savePath)) @mkdir($savePath, 0777, true);
            $filePath   = $savePath . "{$this->app->user->account}.png";
        }

        $this->app->loadClass('qrcode');
        QRcode::png($content, $filePath, 3, 6, 4, false, $RGB);

        if($type == 'qrLogin')
        {
            $qrPath      = $filePath;
            $logoPath    = $this->app->getWwwRoot() . ($this->app->user->avatar ? $this->app->user->avatar : "theme/default/images/main/logo.png");
            $qrString    = imagecreatefromstring(file_get_contents($qrPath));
            $logoString  = imagecreatefromstring(file_get_contents($logoPath));
            $qrWidth     = imagesx($qrString);
            $qrHeight    = imagesy($qrString);
            $logoQrWidth = $qrWidth / 5;
            $logoWidth   = imagesx($logoString);
            $logoHeight  = imagesy($logoString);
            imagecopyresampled($qrString, $logoString, ($qrWidth - $logoQrWidth) / 2, ($qrHeight - $logoHeight / ($logoWidth / $logoQrWidth)) / 2, 0, 0, $logoQrWidth, $logoHeight / ($logoWidth / $logoQrWidth), $logoWidth, $logoHeight);
            imagepng($qrString, $filePath);
        }
    }
public function __construct($moduleName = '', $methodName = '', $appName = '')
{
    parent::__construct($moduleName, $methodName, $appName);
    if(function_exists('ioncube_license_properties')) $properties = ioncube_license_properties();
$contactEmail  = !empty($properties['email']['value'])  ? $properties['email']['value']  : 'jinjuan@easycorp.ltd';
$contactMobile = !empty($properties['mobile']['value']) ? $properties['mobile']['value'] : '185 6285 6230';
$user = $this->dao->select("COUNT('*') as count")->from(TABLE_USER)->where('deleted')->eq(0)->andWhere('locked')->lt(helper::now())->fetch();
if(!empty($properties['user']) and $properties['user']['value'] < $user->count) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>人数超出限制</h2>
您版本的用户数是{$properties['user']['value']}，您目前系统中已有{$user->count}人，已经超过了限制，请联系我们增加人数授权。<br>
Email：<a href='mailto:$contactEmail'>$contactEmail</a><br>
电话：$contactMobile<br />
网址：<a href='https://www.zdoo.com/'>www.zdoo.com</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The accounts has exceed the limit of {$properties['user']['value']} peoples, please contact us to buy more licenses.<br />
Email : <a href='mailto:philip@easycorp.ltd'>philip@easycorp.ltd</a><br />
Site : <a href='http://www.zdoo.org/'>http://www.zdoo.org/</a><br />
</body>
</html>");

if(strpos($this->config->version, 'flow') !== false)
{
    $flow = $this->dao->select("COUNT('*') as count")->from(TABLE_WORKFLOW)->where('type')->eq('flow')->fetch();
    if(!empty($properties['flowLimit']) and $properties['flowLimit']['value'] < $flow->count) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>流程超出限制</h2>
您版本的流程数是{$properties['flowLimit']['value']}，您目前系统中已有{$flow->count}个流程，已经超过了限制，请联系我们升级到企业版。<br>
Email：<a href='mailto:$contactEmail'>$contactEmail</a><br>
电话：$contactMobile<br />
网址：<a href='https://www.zdoo.com/'>www.zdoo.com</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The accounts has exceed the limit of {$properties['flowLimit']['value']} flows, please contact us to upgrade to biz version.<br />
Email : <a href='mailto:philip@easycorp.ltd'>philip@easycorp.ltd</a><br />
Site : <a href='http://www.zdoo.org/'>http://www.zdoo.org/</a><br />
</body>
</html>");
}

if(!empty($properties['enableApps']['value']))
{
    if(isset($_GET['entryID']))
    {
        $entryID = $_GET['entryID'];
        if(strpos(',dashboard,allapps,superadmin,', ",{$entryID},") === false)
        {
            $entry = $this->dao->select('code, buildin')->from(TABLE_ENTRY)->where('id')->eq($entryID)->fetch();
            if($entry->buildin && strpos(",{$properties['enableApps']['value']},", ",{$entry->code},") === false) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>应用超出限制</h2>
您的版本只能使用{$this->lang->apps->{$properties['enableApps']['value']}}应用，请联系我们升级到完整版。<br>
Email：<a href='mailto:$contactEmail'>$contactEmail</a><br>
电话：$contactMobile<br />
网址：<a href='https://www.zdoo.com/'>www.zdoo.com</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The accounts can only use the {$properties['enableApps']['value']} app, please contact us to upgrade to full version.<br />
Email : <a href='mailto:philip@easycorp.ltd'>philip@easycorp.ltd</a><br />
Site : <a href='http://www.zdoo.org/'>http://www.zdoo.org/</a><br />
</body>
</html>");
        } 
    }
    else
    {
        $appName = !empty($appName) ? $appName : $this->appName;
        if($appName != 'sys' && strpos(",{$properties['enableApps']['value']},", ",{$appName},") === false) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>应用超出限制</h2>
您的版本只能使用{$this->lang->apps->{$properties['enableApps']['value']}}应用，请联系我们升级到完整版。<br>
Email：<a href='mailto:$contactEmail'>$contactEmail</a><br>
电话：$contactMobile<br />
网址：<a href='https://www.zdoo.com/'>www.zdoo.com</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The accounts can only use the {$properties['enableApps']['value']} app, please contact us to upgrade to full version.<br />
Email : <a href='mailto:philip@easycorp.ltd'>philip@easycorp.ltd</a><br />
Site : <a href='http://www.zdoo.org/'>http://www.zdoo.org/</a><br />
</body>
</html>");
    }
}

if(!empty($properties['domain']))
{
    $host    = $_SERVER['HTTP_HOST'];
    $portPos = strpos($host, ':');
    if($portPos !== false) $host = substr($host, 0, $portPos);
    $host .= $_SERVER['REQUEST_URI'];

    $checkHost  = false;
    $allowHosts = explode(',', $properties['domain']['value']);
    foreach($allowHosts as $allowHost)
    {
        if(strpos($host, $allowHost) !== false)
        {
            $checkHost = true;
            break;
        }
    }
    if(!$checkHost) die("<!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN' 'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dli'>
<html xmlns='http://www.w3.org/1999/xhtml'>
<head>
  <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
  <title>Error</title>
</head>
<body>
<h2 style='color:red;text-align:center'>绑定域名访问错误</h2>
您版本绑定的域名是{$properties['domain']['value']}，您目前访问的域名是{$_SERVER['HTTP_HOST']}，如果有问题，请联系我们修改绑定域名。<br>
Email：<a href='mailto:$contactEmail'>$contactEmail</a><br>
电话：$contactMobile<br />
网址：<a href='https://www.zdoo.com/'>www.zdoo.com</a><br />
<br /><br /><br />
<h2 style='color:red;text-align:center'>Accounts has exceed the limit.</h2>
The binding domain is {$properties['domain']['value']}, please contact us to change binding domain.<br />
Email : <a href='mailto:philip@easycorp.ltd'>philip@easycorp.ltd</a><br />
Site : <a href='http://www.zdoo.org/'>http://www.zdoo.org/</a><br />
</body>
</html>");
};
}
}
